Issue recurring - task #14

Disallow multiple in-place recurrences for one issue

2019-02-20 16:53 - cryptogopher
Assignee:
closed
bug
cryptogopher

unspecified

unspecified

Description

It is illogical to have more than one in-place recurrence: different start/due dates cannot be applied to single issue and in-place

recurrence does not create additional issues.

Also it is impossible to create meaningful algorithm to choose order for applying multiple different in-place recurrences without

additional information. Just picking the earliest recurrence may be solution, but it's hard to come up with some real world application
of something like that.

Until some good reason will be found for enabling it again (preferably through switch in plugin settings), it should be disabled to avoid
misleading users creating multiple in-place recurrences, hoping it will work in any reasonable way.

History

#1 - 2019-05-05 00:46 - cryptogopher

- Subject changed from Check if multiple in-place recurrences for one issue are working correctly to Disallow multiple in-place recurrences for one

issue

- Description updated

#2 - 2019-05-15 00:24 - cryptogopher

- Description updated

#3 - 2019-05-15 00:26 - cryptogopher

- Description updated

#4 - 2019-05-15 00:55 - cryptogopher

- Status changed from new to closed

#5 - 2023-06-08 15:23 - admin

- Priority changed from support to bug

- Target version set to unspecified
